<HTML>
<HEAD><TITLE>Synthesis and Ngdbuild Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Syn"></A><B><U><big>Synthesis and Ngdbuild  Report</big></U></B>
Synthesis options:
The -a option is MachXO2.
The -s option is 4.
The -t option is CSBGA132.
The -d option is LCMXO2-4000HC.
Using package CSBGA132.
Using performance grade 4.
                                                          

##########################################################

### Lattice Family : MachXO2

### Device  : LCMXO2-4000HC

### Package : CSBGA132

### Speed   : 4

##########################################################

                                                          

INFO - synthesis: User-Selected Strategy Settings
Optimization goal = Balanced
Top-level module name = quantr_i_main.
Target frequency = 200.000000 MHz.
Maximum fanout = 1000.
Timing path count = 3
BRAM utilization = 100.000000 %
DSP usage = true
DSP utilization = 100.000000 %
fsm_encoding_style = auto
resolve_mixed_drivers = 0
fix_gated_clocks = 1

Mux style = Auto
Use Carry Chain = true
carry_chain_length = 0
Loop Limit = 1950.
Use IO Insertion = TRUE
Use IO Reg = AUTO

Resource Sharing = TRUE
Propagate Constants = TRUE
Remove Duplicate Registers = TRUE
force_gsr = auto
ROM style = auto
RAM style = auto
The -comp option is FALSE.
The -syn option is FALSE.
-p C:/workspace/quantr-i/fpga/lattice/diamond (searchpath added)
-p C:/lscc/diamond/3.11_x64/ispfpga/xo2c00/data (searchpath added)
-p C:/workspace/quantr-i/fpga/lattice/diamond/impl1 (searchpath added)
-p C:/workspace/quantr-i/fpga/lattice/diamond (searchpath added)
Verilog design file = C:/workspace/quantr-i/src/constant.v
Verilog design file = C:/workspace/quantr-i/src/ctrl.v
Verilog design file = C:/workspace/quantr-i/src/data_ram.v
Verilog design file = C:/workspace/quantr-i/src/ex.v
Verilog design file = C:/workspace/quantr-i/src/ex_mem.v
Verilog design file = C:/workspace/quantr-i/src/hilo_reg.v
Verilog design file = C:/workspace/quantr-i/src/id.v
Verilog design file = C:/workspace/quantr-i/src/id_ex.v
Verilog design file = C:/workspace/quantr-i/src/if_id.v
Verilog design file = C:/workspace/quantr-i/src/mem.v
Verilog design file = C:/workspace/quantr-i/src/mem_wb.v
Verilog design file = C:/workspace/quantr-i/src/pc_reg.v
Verilog design file = C:/workspace/quantr-i/src/quantr_i.v
Verilog design file = C:/workspace/quantr-i/src/quantr_i_main.v
Verilog design file = C:/workspace/quantr-i/src/register.v
Verilog design file = C:/workspace/quantr-i/src/rom.v
NGD file = quantr_i_impl1.ngd
-sdc option: SDC file input not used.
-lpf option: Output file option is ON.
Hardtimer checking is enabled (default). The -dt option is not used.
The -r option is OFF. [ Remove LOC Properties is OFF. ]
Technology check ok...

Analyzing Verilog file C:/lscc/diamond/3.11_x64/ispfpga/userware/NT/SYNTHESIS_HEADERS/machxo2.v. VERI-1482
Compile design.
Compile Design Begin
Analyzing Verilog file c:/workspace/quantr-i/src/constant.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/ctrl.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/data_ram.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/ex.v. VERI-1482
INFO - synthesis: c:/workspace/quantr-i/src/ex.v(6): analyzing included file c:/workspace/quantr-i/src/constant.v. VERI-1328
Analyzing Verilog file c:/workspace/quantr-i/src/ex_mem.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/hilo_reg.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/id.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/id_ex.v. VERI-1482
INFO - synthesis: c:/workspace/quantr-i/src/id_ex.v(2): analyzing included file c:/workspace/quantr-i/src/constant.v. VERI-1328
Analyzing Verilog file c:/workspace/quantr-i/src/if_id.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/mem.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/mem_wb.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/pc_reg.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/quantr_i.v. VERI-1482
INFO - synthesis: c:/workspace/quantr-i/src/quantr_i.v(6): analyzing included file c:/workspace/quantr-i/src/constant.v. VERI-1328
Analyzing Verilog file c:/workspace/quantr-i/src/quantr_i_main.v. VERI-1482
INFO - synthesis: c:/workspace/quantr-i/src/quantr_i_main.v(3): analyzing included file c:/workspace/quantr-i/src/constant.v. VERI-1328
Analyzing Verilog file c:/workspace/quantr-i/src/register.v. VERI-1482
Analyzing Verilog file c:/workspace/quantr-i/src/rom.v. VERI-1482
Analyzing Verilog file C:/lscc/diamond/3.11_x64/ispfpga/userware/NT/SYNTHESIS_HEADERS/machxo2.v. VERI-1482
Top module name (Verilog): quantr_i_main
INFO - synthesis: c:/workspace/quantr-i/src/quantr_i_main.v(4): compiling module quantr_i_main. VERI-1018
INFO - synthesis: c:/workspace/quantr-i/src/quantr_i.v(7): compiling module quantr_i. VERI-1018
INFO - synthesis: c:/workspace/quantr-i/src/pc_reg.v(2): compiling module pc_reg. VERI-1018
INFO - synthesis: c:/workspace/quantr-i/src/if_id.v(2): compiling module if_id. VERI-1018
INFO - synthesis: c:/workspace/quantr-i/src/id.v(3): compiling module id. VERI-1018
ERROR - synthesis: c:/workspace/quantr-i/src/id.v(645): net is_in_delayslot_o is constantly driven from multiple places




<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
